<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/wdt.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">wdt.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>MINI51 series WDT driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for wdt.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d4c/wdt_8c__incl.png" border="0" usemap="#a_std_driver_2src_2wdt_8c" alt=""/></div>
<map name="a_std_driver_2src_2wdt_8c" id="a_std_driver_2src_2wdt_8c">
<area shape="rect" title="MINI51 series WDT driver source file." alt="" coords="677,5,808,32"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="689,80,797,107"/>
<area shape="rect" title=" " alt="" coords="5,155,96,181"/>
<area shape="rect" href="../../dd/d6a/system___mini51_series_8h.html" title="Mini51 series system clock definition file." alt="" coords="121,155,279,181"/>
<area shape="rect" title=" " alt="" coords="303,155,369,181"/>
<area shape="rect" href="../../d9/d87/sys_8h.html" title="Mini51 series SYS driver header file." alt="" coords="393,155,447,181"/>
<area shape="rect" href="../../d3/d89/clk_8h.html" title="Mini51 series CLK driver header file." alt="" coords="472,155,523,181"/>
<area shape="rect" href="../../dc/d2f/acmp_8h.html" title="Mini51 series Analog Comparator(ACMP) driver header file." alt="" coords="547,155,613,181"/>
<area shape="rect" href="../../d7/d19/adc_8h.html" title="Mini51 series ADC driver header file." alt="" coords="637,155,691,181"/>
<area shape="rect" href="../../dc/d00/fmc_8h.html" title="MINI51 series FMC driver header file." alt="" coords="715,155,770,181"/>
<area shape="rect" href="../../d6/d7c/gpio_8h.html" title="Mini51 series GPIO driver header file." alt="" coords="794,155,851,181"/>
<area shape="rect" href="../../d5/daf/i2c_8h.html" title="Mini51 series I2C driver header file." alt="" coords="876,155,927,181"/>
<area shape="rect" href="../../d6/db9/pwm_8h.html" title="Mini51 series PWM driver header file." alt="" coords="951,155,1011,181"/>
<area shape="rect" href="../../da/d87/spi_8h.html" title="Mini51 series SPI driver header file." alt="" coords="1036,155,1087,181"/>
<area shape="rect" href="../../d5/dd0/timer_8h.html" title="Mini51 series TIMER driver header file." alt="" coords="1111,155,1174,181"/>
<area shape="rect" href="../../d2/d86/uart_8h.html" title="Mini51 series UART driver header file." alt="" coords="1198,155,1253,181"/>
<area shape="rect" href="../../d0/de2/wdt_8h.html" title="Mini51 series WDT driver header file." alt="" coords="1277,155,1331,181"/>
</map>
</div>
</div>
<p><a href="../../db/d1a/wdt_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a> (uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</td></tr>
<tr class="memdesc:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make WDT module start counting with different time-out interval.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">More...</a><br /></td></tr>
<tr class="separator:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c5ba21aaa03db0d9c037156cf98a6ae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">WDT_Close</a> (void)</td></tr>
<tr class="memdesc:ga4c5ba21aaa03db0d9c037156cf98a6ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stops WDT counting and disable WDT module.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">More...</a><br /></td></tr>
<tr class="separator:ga4c5ba21aaa03db0d9c037156cf98a6ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad4e5a59a764a06c56110d1ef3aefb81d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">WDT_EnableInt</a> (void)</td></tr>
<tr class="memdesc:gad4e5a59a764a06c56110d1ef3aefb81d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the WDT time-out interrupt.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">More...</a><br /></td></tr>
<tr class="separator:gad4e5a59a764a06c56110d1ef3aefb81d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5161f1a4e918d0e3491eb63ea7bf2aef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">WDT_DisableInt</a> (void)</td></tr>
<tr class="memdesc:ga5161f1a4e918d0e3491eb63ea7bf2aef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the WDT time-out interrupt.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">More...</a><br /></td></tr>
<tr class="separator:ga5161f1a4e918d0e3491eb63ea7bf2aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >MINI51 series WDT driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>4 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/03/18 5:39p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../db/d1a/wdt_8c_source.html">wdt.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
